Subject: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Leo <[email-masked]>
Date: Mon, 12 Nov 2012 00:50:07 +0800

On 2012-11-12 00:21 +0800, Stefan Monnier wrote:
> Any reason not actually add the ".", just like file-name completion
> actually adds the / ?

This is another way to do it. But it looks unnatural. For example, it is
not uncommon to use /usr/bin/ for a directory name but not usr.bin. for
a python pkg.

>> So for example, twisted.inte should complete to twisted.internet with
>> minibuffer message [package] to mean that twisted.internet is a package.
>
> Right, so it's like an annotation but only displayed when you select
> that particular entry.
>
>>>> Looks like with some change to completion--done we can have this.
>>>> What do you think?
>>> I have the impression that you're subverting exit-function.
>>> I"m not sure yet if it's a neat hack, or if there's a better way to do it,
>> Probably.
>
> Not sure which of the two you think is probable.  Maybe the "neat hack"
> is the more probable one.

I mean I might be subverting the exit-function. Any suggestions?

Leo